<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
EdmBomFlag Enumeration
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : EdmBomFlag Enumeration

Visual Basic
C#
C++/CLI
Bill of Materials options used in calls to IEdmFile7::GetComputedBOM. Bitmask.

# Syntax

Visual Basic |
--- | ---

    Public Enum EdmBomFlag
       Inherits System.Enum

C# |
--- | ---

    public enum EdmBomFlag : System.Enum

C++/CLI |
--- | ---

    public enum class EdmBomFlag : public System.Enum

# Members

Member | Description
--- | ---
EdmBf_AsBuilt | 1 = Include as-built referenced files, i.e., the versions which were present in the cache when the parent file was checked in
EdmBf_ShowSelected | 2 = Include the selected file in the Bill of Materials; if this flag is not set, only its children are included

# See Also

####

EPDM.Interop.epdm Namespace